# Documents

## Core

* [Get it started](get-it-started.md)
* [Scripts](scripts/index.md)
* [Examples](examples/index.md)
* [Architecture](the-architecture.md)
* [Storages](storages.md)
* [Configure gateway in backend](configure-gateway-in-backend.md)
* [Working with sensitive information](working-with-sensitive-information.md)
* [Mask credit card number](mask-credit-card-number.md)
* [Instant payment notification](instant-payment-notification.md)
* [Develop gateway with payum](develop-gateway-with-payum.md)
* [Supported gateways](supported-gateways.md)
* [Frameworks and e-commerce integration](frameworks-and-e-commerce-integration.md)
* [Logger](logger.md)
* [Debugging](debugging.md)
* [ISO4217. Currency details](iso4217-or-currency-details.md)
* [Payum vs Omnipay](payum-vs-omnipay.md)
* [PHP7](php7.md)
* [Symfony. The event dispatcher extension](event-dispatcher.md)


## Gateways

* [Authorize.Net](https://github.com/Payum/Payum/blob/master/src/Payum/AuthorizeNet/Aim/Resources/docs/index.md)
* [Be2Bill](https://github.com/Payum/Payum/blob/master/src/Payum/Be2Bill/Resources/docs/index.md)
* [Klarna Checkout](https://github.com/Payum/Payum/blob/master/src/Payum/Klarna/Checkout/Resources/docs/index.md)
* [Klarna Invoice](https://github.com/Payum/Payum/blob/master/src/Payum/Klarna/Invoice/Resources/docs/index.md)
* [Payex](https://github.com/Payum/Payum/blob/master/src/Payum/Payex/Resources/docs/index.md)
* [Paypal Express Checkout](https://github.com/Payum/Payum/blob/master/src/Payum/Paypal/ExpressCheckout/Nvp/Resources/docs/index.md)
* [Paypal Masspay](https://github.com/Payum/Payum/blob/master/src/Payum/Paypal/Masspay/Nvp/Resources/docs/index.md)
* [Paypal Pro Checkout](https://github.com/Payum/Payum/blob/master/src/Payum/Paypal/ProCheckout/Nvp/Resources/docs/index.md)
* [Paypal REST](https://github.com/Payum/Payum/blob/master/src/Payum/Paypal/Rest/Resources/docs/index.md)
* [Paypal IPN](https://github.com/Payum/Payum/blob/master/src/Payum/Paypal/Ipn/Resources/docs/index.md)
* [Stripe](https://github.com/Payum/Payum/blob/master/src/Payum/Stripe/Resources/docs/index.md)
* [OmnipayBridge](https://github.com/Payum/OmnipayBridge/blob/master/src/Resources/docs/index.md)
* [JMSPaymentBridge](https://github.com/Payum/JMSPaymentBridge/blob/master/docs/index.md)

## Extensions

* [PayumBundle](https://github.com/Payum/PayumBundle/blob/master/Resources/doc/index.md)
* [PayumLaravelPackage](https://github.com/Payum/PayumLaravelPackage/blob/master/docs/index.md)
* [PayumSilexProvider](https://github.com/Payum/PayumSilexProvider/blob/master/docs/index.md)
* [PayumModule](https://github.com/Payum/PayumModule/blob/master/docs/index.md)
* [PayumYiiExtension](https://github.com/Payum/PayumYiiExtension/blob/master/docs/index.md)
* [PayumServer](https://github.com/Payum/PayumServer)
